{*
  FSF Member Dashboard
  Copyright © 2014 Free Software Foundation, Inc.

  This file is a part of FSF Member Dashboard.

  FSF Member Dashboard is free software: you can redistribute it
  and/or modify it under the terms of the GNU Affero General Public
  License as published by the Free Software Foundation, either version
  3 of the License, or (at your option) any later version.

  FSF Member Dashboard is distributed in the hope that it will be
  useful, but WITHOUT ANY WARRANTY; without even the implied warranty
  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with FSF Member Dashboard.  If not, see
  <https://www.gnu.org/licenses/>.
*}

{include file="CRM/Memberdashboard/Page/DashboardElement.tpl"
         element=$dashboardElements.CiviMember }

{include file="CRM/Memberdashboard/Page/DashboardElement.tpl"
         element=$dashboardElements.CiviContribute }

<div>
  <div class="header-dark">Personal Campaign Page(s)</div>
  <div class="view-content">
    {if count($campaignPages) == 0}
      <div class="messages status no-popup">
        <div class="icon inform-icon"></div>
        There are no personal campaign pages on record for you.
      </div>
    {else}
      <table>
        <thead>
          <tr>
            <th>Title</th>
            <th>Active?</th>
            <th>Honor roll enabled?</th>
          </tr>
        </thead>
        <tbody>
          {foreach from=$campaignPages item=page}
            <tr>
              <td>
                <a href="{crmURL p="civicrm/pcp/info" q="reset=1&id=`$page.id`"}">
                  {$page.title}
                </a>
              </td>
              <td>
                {if $page.is_active}Yes{else}No{/if}
              </td>
              <td>
                {if $page.is_honor_roll}Yes{else}No{/if}
              </td>
            </tr>
          {/foreach}
        </tbody>
      </table>
    {/if}
  </div>
</div>
